aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/search_tavily.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/search_tavily.sh b/tools/search_tavily.sh
new file mode 100755
index 0000000..068615d
--- /dev/null
+++ b/tools/search_tavily.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Perform a web search using Tavily API to get up-to-date information or additional context.
+# Use this when you need current information or feel a search could provide a better answer.
+
+# @env TAVILY_API_KEY! The max results to return.
+# @env TAVILY_MAX_RESULTS=5 The max results to return.
+# @option --query! The query to search for.
+
+main() {
+ curl -fsSL -X POST \
+ -H 'content-type: application/json' \
+ -d '{"api_key":"'"$TAVILY_API_KEY"'","query":"'"$argc_query"'","search_depth":"advanced","max_results":"'"$TAVILY_MAX_RESULTS"'"}' \
+ https://api.tavily.com/search
+}
+
+eval "$(argc --argc-eval "$0" "$@")"
+